module Hyrax
  module Workflow
    ##
    # This is a built in function for workflow, so that a workflow action can be created that
    #  Transfer Ownership for dataset
    module TransferOwnership
      def self.call(target:, **)
        status, _message, user = ::User.find_or_create_publication_manager
        Hyrax::ChangeDepositorService.call(target, user, false) if status and user.present?
      end
    end
  end
end
